@import url(https://fonts.googleapis.com/css?family=Oswald|Roboto);

@keyframes btn {
  0%, 100% {
    transform: scale(1);
  }
  70% {
    transform: scale(1);
  }
  80% {
    transform: scale(1.04);
  }
  90% {
    transform: scale(0.96);
  }
}

@keyframes fish {
  0%, 70% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

html {
  height: 100%;
}

body {
  font-family: Roboto, sans-serif;
  color: #515a6e;
  background-color: #00A99D;
  height: 100%;
  margin: 0;
  overflow: hidden;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  display: flex;
  align-items: center;
  justify-content: center;
}

a {
  cursor: pointer;
  color: #000;
  text-decoration: none;
  transition: all 0.3s;
}

a:hover {
  color: rgba(255, 80, 80, 1);
}

.fish, .fish-shadow {
  width: 640px;
  height: auto;
  position: absolute;
  top: -145px;
  left: -177px;
  animation: fish 3s forwards ease-in-out;
}

.fish path:hover {
  fill: #ff6100;
}

.fish .line {
  fill: none;
}

.fish-shadow-con {
  opacity: 0.2;
  filter: blur(10px);
  position: absolute;
  top: 0;
  left: 0;
}

.fish-shadow {
  top: -125px;
  left: -157px;
}

.fish-shadow path:hover {
  fill: #211922;
}

.fish-shadow {
  -webkit-filter: url("#goo");
  filter: url(#goo);
  top: -125px;
  left: -157px;
  opacity: 0.4;
}

.container {
  position: relative;
  background-color: #fafafe;
  border-radius: 10px;
  margin: 40px;
  padding: 25px 20px 10px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  width: 320px;
  box-sizing: border-box;
}

.container:before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  right: 0;
  height: 60%;
  background-color: #fafafe;
  border-radius: 10px;
  z-index: 2;
}

.card {
  position: relative;
  z-index: 2;
}

.card_title {
  font-size: 24px;
  margin: 0;
}

.card_title-info {
  font-size: 14px;
  margin: 7px 0 10px;
}

.card_button {
  border-radius: 4px;
  border: none;
  outline: none;
  width: 100%;
  padding: 0 15px;
  font-size: 18px;
  line-height: 36px;
  font-weight: 500;
  margin: 25px 0 10px;
  color: #fff;
  background: linear-gradient(#091A52, #00A99D);
  box-shadow: 0 2px 12px -3px rgba(255, 80, 80, 1);
  animation: btn 6.0s 3s infinite ease-in-out;
  opacity: 0.9;
  transition: all 0.3s;
}

.card_button:hover {
  opacity: 1;
  box-shadow: 0 2px 2px -3px rgba(255, 80, 80, 1);
}

.card_info {
  font-size: 14px;
}

.input {
  display: flex;
  flex-direction: column-reverse;
  position: relative;
  padding-top: 10px;
}

.input + .input {
  margin-top: 10px;
}

.input_label {
  color: #8597a3;
  position: absolute;
  top: 20px;
  transition: all 0.3s;
}

.input_field {
  border: 0;
  padding: 0;
  z-index: 1;
  background-color: transparent;
  border-bottom: 2px solid #eee;
  font: inherit;
  font-size: 14px;
  line-height: 30px;
}

.input_field:focus, .input_field:valid {
  outline: 0;
  border-bottom-color: #665856;
}

.input_field + .input_label {
  color: #665856;
  transform: translateY(-25px);
}

.input_eye {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 36px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.input_eye svg {
  width: 24px;
  height: auto;
  stroke: #8597a3;
}

.link {
  position: absolute;
  bottom: 20px;
  right: 20px;
  z-index: 3;
}

.rabbit {
  width: 50px;
  height: 50px;
  fill: #fff;
}
